summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>2015-08-09 23:00:38 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-09 23:03:41 +0700
commit6ff25c675917acd2a3efa8c828642fb526009504 (patch)
tree0fc716993999cfd6ba953193954d00ab1aac5447 /games
parent9aad35bf9d87f99ba8482355cd971dff3fa77cfc (diff)
downloadslackbuilds-6ff25c675917acd2a3efa8c828642fb526009504.tar.gz
slackbuilds-6ff25c675917acd2a3efa8c828642fb526009504.tar.xz
games/chocolate_duke3D: Added (Faithful Duke Nukem 3D port).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/chocolate_duke3D/README10
-rw-r--r--games/chocolate_duke3D/chocolate-duke3d4
-rw-r--r--games/chocolate_duke3D/chocolate-duke3d.desktop9
-rw-r--r--games/chocolate_duke3D/chocolate-duke3d.pngbin0 -> 30571 bytes
-rw-r--r--games/chocolate_duke3D/chocolate_duke3D.SlackBuild104
-rw-r--r--games/chocolate_duke3D/chocolate_duke3D.info10
-rw-r--r--games/chocolate_duke3D/slack-desc19
7 files changed, 156 insertions, 0 deletions
diff --git a/games/chocolate_duke3D/README b/games/chocolate_duke3D/README
new file mode 100644
index 0000000000..7094080d50
--- /dev/null
+++ b/games/chocolate_duke3D/README
@@ -0,0 +1,10 @@
+Chocolate Duke Nukem 3D is the equivalent of Chocolate Doom.
+
+A port that:
+
+ 1. Remains as faithful as possible to the original source code.
+ 2. Portable and compiling in one click on Windows, OS X and Linux.
+ 3. Aimed at education, with lots of comments and documentation added in order to help programmers
+ to understand and learn.
+
+Note: Place "duke3d.grp" from any legit Duke 3D copy to /usr/share/games/duke3d to play.
diff --git a/games/chocolate_duke3D/chocolate-duke3d b/games/chocolate_duke3D/chocolate-duke3d
new file mode 100644
index 0000000000..8a51d7d26b
--- /dev/null
+++ b/games/chocolate_duke3D/chocolate-duke3d
@@ -0,0 +1,4 @@
+ #!/bin/bash
+
+cd /usr/share/games/duke3d
+./chocolate-duke3d $*
diff --git a/games/chocolate_duke3D/chocolate-duke3d.desktop b/games/chocolate_duke3D/chocolate-duke3d.desktop
new file mode 100644
index 0000000000..c7cd53403f
--- /dev/null
+++ b/games/chocolate_duke3D/chocolate-duke3d.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Chocolate Duke 3D
+GenericName=Vanilla Duke Nukem 3D experience.
+Type=Application
+Comment=Faithful Duke Nukem 3D port, similar to Chocolate Doom.
+Exec=chocolate-duke3d
+Icon=chocolate-duke3d
+Terminal=false
+Categories=Game
diff --git a/games/chocolate_duke3D/chocolate-duke3d.png b/games/chocolate_duke3D/chocolate-duke3d.png
new file mode 100644
index 0000000000..125d60e10c
--- /dev/null
+++ b/games/chocolate_duke3D/chocolate-duke3d.png
Binary files differ
diff --git a/games/chocolate_duke3D/chocolate_duke3D.SlackBuild b/games/chocolate_duke3D/chocolate_duke3D.SlackBuild
new file mode 100644
index 0000000000..781081beb5
--- /dev/null
+++ b/games/chocolate_duke3D/chocolate_duke3D.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for Chocolate Duke 3D
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=chocolate_duke3D
+VERSION=${VERSION:-befdc2c0e10c8a7a41efd8f4110beee4af49e0d8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip || unzip $CWD/$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+make
+
+# Makes these folders so we can copy it into the Slackware games standard
+mkdir -p $PKG/usr/share/games/duke3d
+mkdir -p $PKG/usr/games
+
+# Makes desktop file related directories
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+
+# Copies over compiled binary
+cp -a chocolate-duke3d $PKG/usr/share/games/duke3d
+
+# Copies over shell script to play with ease
+cp -a $CWD/chocolate-duke3d $PKG/usr/games
+
+# Copies over desktop file and icon
+cp -a $CWD/chocolate-duke3d.desktop $PKG/usr/share/applications
+cp -a $CWD/chocolate-duke3d.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/chocolate_duke3D/chocolate_duke3D.info b/games/chocolate_duke3D/chocolate_duke3D.info
new file mode 100644
index 0000000000..77f4b74bda
--- /dev/null
+++ b/games/chocolate_duke3D/chocolate_duke3D.info
@@ -0,0 +1,10 @@
+PRGNAM="chocolate_duke3D"
+VERSION="befdc2c0e10c8a7a41efd8f4110beee4af49e0d8"
+HOMEPAGE="https://github.com/fabiensanglard/chocolate_duke3D/"
+DOWNLOAD="https://github.com/fabiensanglard/chocolate_duke3D/archive/befdc2c0e10c8a7a41efd8f4110beee4af49e0d8.zip"
+MD5SUM="dda08be7bd8ee563387219c6672fd13c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/games/chocolate_duke3D/slack-desc b/games/chocolate_duke3D/slack-desc
new file mode 100644
index 0000000000..3317390329
--- /dev/null
+++ b/games/chocolate_duke3D/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+chocolate_duke3D: chocolate_duke3D (Faithful Duke Nukem 3D port)
+chocolate_duke3D:
+chocolate_duke3D: Chocolate Duke Nukem 3D is the equivalent of Chocolate Doom.
+chocolate_duke3D: A port that:
+chocolate_duke3D: Remains as faithful as possible to the original source code.
+chocolate_duke3D: Portable and compiling in one click on Windows, OS X and Linux.
+chocolate_duke3D: Aimed at education, with lots of comments and documentation added
+chocolate_duke3D: in order to help programmers to understand and learn.
+chocolate_duke3D:
+chocolate_duke3D: Homepage: https://github.com/fabiensanglard/chocolate_duke3D
+chocolate_duke3D: